// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : ArtCheckRule
 *-----------------------------------------------------------------------------
 *
 * @Description              : ArtCheckRule的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
type ArtCheckRule struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"ArtCheckRule-PlantNr"`
	AttriCode       int           `xorm:"pk int 'AttriCode'" json:"ArtCheckRule-AttriCode"`
	AttriCodeDesc   string        `xorm:"nvarchar(100) 'AttriCodeDesc' not null" json:"ArtCheckRule-AttriCodeDesc"`
	WorkLineId      string        `xorm:"nvarchar(40) 'WorkLineId' not null" json:"ArtCheckRule-WorkLineId"`
	SubObject       string        `xorm:"nvarchar(40) 'SubObject' not null" json:"ArtCheckRule-SubObject"`
	CodeLength      string        `xorm:"nvarchar(200) 'CodeLength' not null" json:"ArtCheckRule-CodeLength"`
	CheckStartPos   int           `xorm:"int 'CheckStartPos' not null" json:"ArtCheckRule-CheckStartPos"`
	CheckLength     int           `xorm:"int 'CheckLength' not null" json:"ArtCheckRule-CheckLength"`
	CheckObject     string        `xorm:"nvarchar(40) 'CheckObject' not null" json:"ArtCheckRule-CheckObject"`
	OnlyBarCodeFlag bool          `xorm:"bit 'OnlyBarCodeFlag' not null" json:"ArtCheckRule-OnlyBarCodeFlag"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ArtCheckRule-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ArtCheckRule-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ArtCheckRule-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
func (self *ArtCheckRule) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttriCode}
}
