// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : OpcInfo
 *-----------------------------------------------------------------------------
 *
 * @Description              : OpcInfo的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
type OpcInfo struct {
	PlantNr         int           `xorm:"pk int 'PlantNr'" json:"OpcInfo-PlantNr"`
	WorkLineId      string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"OpcInfo-WorkLineId"`
	StepNo          int           `xorm:"pk int 'StepNo'" json:"OpcInfo-StepNo"`
	StepDesc        string        `xorm:"nvarchar(100) 'StepDesc' not null" json:"OpcInfo-StepDesc"`
	BrandName       string        `xorm:"nvarchar(40) 'BrandName' not null" json:"OpcInfo-BrandName"`
	MachineType     string        `xorm:"nvarchar(40) 'MachineType' not null" json:"OpcInfo-MachineType"`
	IpAddress       string        `xorm:"nvarchar(40) 'IpAddress' not null" json:"OpcInfo-IpAddress"`
	RuleId          int           `xorm:"int 'RuleId' not null" json:"OpcInfo-RuleId"`
	ActionType      string        `xorm:"nvarchar(20) 'ActionType' not null" json:"OpcInfo-ActionType"`
	DBlockAddress   string        `xorm:"nvarchar(40) 'DBlockAddress' not null" json:"OpcInfo-DBlockAddress"`
	DBlockValueType string        `xorm:"nvarchar(40) 'DBlockValueType' not null" json:"OpcInfo-DBlockValueType"`
	DBlockValue     int           `xorm:"int 'DBlockValue'" json:"OpcInfo-DBlockValue"`
	LastModify      grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OpcInfo-LastModify"`
	LastUser        string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OpcInfo-LastUser"`
	CreateTime      grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OpcInfo-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-14 14:51:48
 *
 ******************************************************************************/
func (self *OpcInfo) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineId, self.StepNo}
}
