package base

/******************************************************************************
 *
 * @Struct Name              : WeekModelLstInsertReq
 *-----------------------------------------------------------------------------
 *
 * @Description              : WeekModelLstInsertReq weekModelLst 批量插入请求体映射
 *
 * @Author                   : 张鑫
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WeekModelLstInsertReq struct {
	WeekModelNr int            `json:"weekModelNr"`
	Records     []WeekModelLst `json:"records"`
}

/******************************************************************************
 *
 * @Struct Name              : WorkCalendarLstInsertReq
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendarLstInsertReq workCalendarLst 批量插入请求体映射
 *
 * @Author                   : 张鑫
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WorkCalendarLstInsertReq struct {
	WorkCalendarNr int               `json:"workCalendarNr"`
	Records        []WorkCalendarLst `json:"records"`
}

/******************************************************************************
 *
 * @Struct Name              : WorkLineArr
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendarLstInsertReq workCalendarLst 批量插入请求体映射
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WorkLineArr struct {
	PlantNr    int        `json:"WorkLine-PlantNr"`
	WorkLineid string     `json:"WorkLine-WorkLineid"`
	Descr      string     `json:"WorkLine-Descr"`
	LineType   string     `json:"WorkLine-LineType"`
	Disabled   bool       `json:"disabled"`
	Childrens  []WorkLine `json:"childrens"`
}

/******************************************************************************
 *
 * @Struct Name              : WorkLineArr
 *-----------------------------------------------------------------------------
 *
 * @Description              : WorkCalendarLstInsertReq workCalendarLst 批量插入请求体映射
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-04-15
 *
 ******************************************************************************/
type WorkLineData struct {
	StartDate  string `json:"startDate"`
	EndDate    string `json:"endDate"`
	WorkLineid string `json:"workLineId"`
}

/******************************************************************************
 *
 * @Struct Name              : ArtData
 *-----------------------------------------------------------------------------
 *
 * @Description              : 物料分配属性
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-05-26
 *
 ******************************************************************************/
type ArtData struct {
	Attribute       `xorm:"extends"`
	ArticleAtcodLst `xorm:"extends"`
}

/******************************************************************************
 *
 * @Struct Name              : ArtData
 *-----------------------------------------------------------------------------
 *
 * @Description              : 物料分配属性
 *
 * @Author                   : 娄文智
 *
 * @Date                     : 2021-05-26
 *
 ******************************************************************************/
type OperationRelData struct {
	Operation            `xorm:"extends"`
	WorkPlace            `xorm:"extends"`
	WorkLineWorkPlaceLst `xorm:"extends"`
	ArticleAtcodLst      `xorm:"extends"`
	StepType             `xorm:"extends"`
}
