// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderStepLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderStepLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-13 11:01:50
 *
 ******************************************************************************/
type SerialOrderStepLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderStepLst-PlantNr"`
	SerialOrderId string        `xorm:"pk nvarchar(100) 'SerialOrderId'" json:"OM_SerialOrderStepLst-SerialOrderId"`
	WorkPlaceNr   int           `xorm:"pk int 'WorkPlaceNr'" json:"OM_SerialOrderStepLst-WorkPlaceNr"`
	StepNo        int           `xorm:"pk int 'StepNo'" json:"OM_SerialOrderStepLst-StepNo"`
	Pos           int           `xorm:"int 'Pos' not null" json:"OM_SerialOrderStepLst-Pos"`
	Status        int           `xorm:"int 'Status' not null" json:"OM_SerialOrderStepLst-Status"`
	StepDesc      string        `xorm:"nvarchar(200) 'StepDesc' not null" json:"OM_SerialOrderStepLst-StepDesc"`
	AttrCode      int           `xorm:"int 'AttrCode' not null" json:"OM_SerialOrderStepLst-AttrCode"`
	AttrValue     string        `xorm:"nvarchar(100) 'AttrValue' not null" json:"OM_SerialOrderStepLst-AttrValue"`
	StepType      string        `xorm:"nvarchar(40) 'StepType' not null" json:"OM_SerialOrderStepLst-StepType"`
	SSCtrlPara1   string        `xorm:"nvarchar(40) 'SSCtrlPara1' not null" json:"OM_SerialOrderStepLst-SSCtrlPara1"`
	SSCtrlPara2   string        `xorm:"nvarchar(40) 'SSCtrlPara2' not null" json:"OM_SerialOrderStepLst-SSCtrlPara2"`
	SSCtrlPara3   int           `xorm:"int 'SSCtrlPara3' not null" json:"OM_SerialOrderStepLst-SSCtrlPara3"`
	SSCtrlPara4   int           `xorm:"int 'SSCtrlPara4' not null" json:"OM_SerialOrderStepLst-SSCtrlPara4"`
	SSCtrlPara5   float64       `xorm:"float 'SSCtrlPara5' not null" json:"OM_SerialOrderStepLst-SSCtrlPara5"`
	SSCtrlPara6   float64       `xorm:"float 'SSCtrlPara6' not null" json:"OM_SerialOrderStepLst-SSCtrlPara6"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderStepLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderStepLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderStepLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-13 11:01:50
 *
 ******************************************************************************/
func (self *SerialOrderStepLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialOrderId, self.WorkPlaceNr, self.StepNo}
}
