// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderWPLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderWPLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type SerialOrderWPLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderWPLst-PlantNr"`
	SerialOrderId string        `xorm:"pk nvarchar(100) 'SerialOrderId'" json:"OM_SerialOrderWPLst-SerialOrderId"`
	WorkPlaceNr   int           `xorm:"pk int 'WorkPlaceNr'" json:"OM_SerialOrderWPLst-WorkPlaceNr"`
	Pos           int           `xorm:"pk int 'Pos'" json:"OM_SerialOrderWPLst-Pos"`
	Status        int           `xorm:"int 'Status' not null" json:"OM_SerialOrderWPLst-Status"`
	SWCtrlPara1   string        `xorm:"nvarchar(40) 'SWCtrlPara1' not null" json:"OM_SerialOrderWPLst-SWCtrlPara1"`
	SWCtrlPara2   string        `xorm:"nvarchar(40) 'SWCtrlPara2' not null" json:"OM_SerialOrderWPLst-SWCtrlPara2"`
	SWCtrlPara3   int           `xorm:"int 'SWCtrlPara3' not null" json:"OM_SerialOrderWPLst-SWCtrlPara3"`
	SWCtrlPara4   int           `xorm:"int 'SWCtrlPara4' not null" json:"OM_SerialOrderWPLst-SWCtrlPara4"`
	SWCtrlPara5   float64       `xorm:"float 'SWCtrlPara5' not null" json:"OM_SerialOrderWPLst-SWCtrlPara5"`
	SWCtrlPara6   float64       `xorm:"float 'SWCtrlPara6' not null" json:"OM_SerialOrderWPLst-SWCtrlPara6"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderWPLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderWPLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderWPLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func (self *SerialOrderWPLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialOrderId, self.WorkPlaceNr, self.Pos}
}
