// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package om

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderWPStatusRecLst
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderWPStatusRecLst的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type SerialOrderWPStatusRecLst struct {
	PlantNr              int           `xorm:"pk int 'PlantNr'" json:"OM_SerialOrderWPStatusRecLst-PlantNr"`
	SerialOrderId        string        `xorm:"pk nvarchar(100) 'SerialOrderId'" json:"OM_SerialOrderWPStatusRecLst-SerialOrderId"`
	WorkPlaceNr          int           `xorm:"pk int 'WorkPlaceNr'" json:"OM_SerialOrderWPStatusRecLst-WorkPlaceNr"`
	OriginPos            int           `xorm:"pk int 'OriginPos'" json:"OM_SerialOrderWPStatusRecLst-OriginPos"`
	Pos                  int           `xorm:"pk int 'Pos'" json:"OM_SerialOrderWPStatusRecLst-Pos"`
	PrevStatus           int           `xorm:"int 'PrevStatus' not null" json:"OM_SerialOrderWPStatusRecLst-PrevStatus"`
	Status               int           `xorm:"int 'Status' not null" json:"OM_SerialOrderWPStatusRecLst-Status"`
	TriggerEvent         string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_SerialOrderWPStatusRecLst-TriggerEvent"`
	TriggerObjectId      string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_SerialOrderWPStatusRecLst-TriggerObjectId"`
	TriggerSubObjectId   string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_SerialOrderWPStatusRecLst-TriggerSubObjectId"`
	OutputStatus         int           `xorm:"int 'OutputStatus' not null" json:"OM_SerialOrderWPStatusRecLst-OutputStatus"`
	OutputEvent          string        `xorm:"nvarchar(40) 'OutputEvent' not null" json:"OM_SerialOrderWPStatusRecLst-OutputEvent"`
	OutputEventMessageId string        `xorm:"nvarchar(40) 'OutputEventMessageId' not null" json:"OM_SerialOrderWPStatusRecLst-OutputEventMessageId"`
	OutputObjectId       string        `xorm:"nvarchar(40) 'OutputObjectId' not null" json:"OM_SerialOrderWPStatusRecLst-OutputObjectId"`
	OutputSubObjectId    string        `xorm:"nvarchar(40) 'OutputSubObjectId' not null" json:"OM_SerialOrderWPStatusRecLst-OutputSubObjectId"`
	OutputErrNum         int           `xorm:"int 'OutputErrNum' not null" json:"OM_SerialOrderWPStatusRecLst-OutputErrNum"`
	Remark1              string        `xorm:"nvarchar(100) 'Remark1' not null" json:"OM_SerialOrderWPStatusRecLst-Remark1"`
	Remark2              string        `xorm:"nvarchar(100) 'Remark2' not null" json:"OM_SerialOrderWPStatusRecLst-Remark2"`
	LastModify           grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_SerialOrderWPStatusRecLst-LastModify"`
	LastUser             string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_SerialOrderWPStatusRecLst-LastUser"`
	CreateTime           grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_SerialOrderWPStatusRecLst-CreateTime"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func (self *SerialOrderWPStatusRecLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.SerialOrderId, self.WorkPlaceNr, self.OriginPos, self.Pos}
}
