// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_LF_MOM_BACKEND/dao/om"
	"LAPP_LF_MOM_BACKEND/db"
	"LAPP_LF_MOM_BACKEND/grmi"
	meta "LAPP_LF_MOM_BACKEND/meta/om"
	model "LAPP_LF_MOM_BACKEND/models/om"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Description              : SerialOrderWPLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var DefaultConditionOfSerialOrderWPLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.SerialOrderWPLst_SerialOrderId.UrlParameterName: grmi.NewConditionItem(meta.SerialOrderWPLst_SerialOrderId, grmi.Equal, true),
		meta.SerialOrderWPLst_WorkPlaceNr.UrlParameterName:   grmi.NewConditionItem(meta.SerialOrderWPLst_WorkPlaceNr, grmi.Equal, true),
		meta.SerialOrderWPLst_Pos.UrlParameterName:           grmi.NewConditionItem(meta.SerialOrderWPLst_Pos, grmi.Equal, true),
		meta.SerialOrderWPLst_Status.UrlParameterName:        grmi.NewConditionItem(meta.SerialOrderWPLst_Status, grmi.Equal, false),
		meta.SerialOrderWPLst_SWCtrlPara1.UrlParameterName:   grmi.NewConditionItem(meta.SerialOrderWPLst_SWCtrlPara1, grmi.Equal, false),
		meta.SerialOrderWPLst_SWCtrlPara2.UrlParameterName:   grmi.NewConditionItem(meta.SerialOrderWPLst_SWCtrlPara2, grmi.Equal, false),
		meta.SerialOrderWPLst_SWCtrlPara3.UrlParameterName:   grmi.NewConditionItem(meta.SerialOrderWPLst_SWCtrlPara3, grmi.Equal, false),
		meta.SerialOrderWPLst_SWCtrlPara4.UrlParameterName:   grmi.NewConditionItem(meta.SerialOrderWPLst_SWCtrlPara4, grmi.Equal, false),
		meta.SerialOrderWPLst_SWCtrlPara5.UrlParameterName:   grmi.NewConditionItem(meta.SerialOrderWPLst_SWCtrlPara5, grmi.Equal, false),
		meta.SerialOrderWPLst_SWCtrlPara6.UrlParameterName:   grmi.NewConditionItem(meta.SerialOrderWPLst_SWCtrlPara6, grmi.Equal, false),
		meta.SerialOrderWPLst_LastModify.UrlParameterName:    grmi.NewConditionItem(meta.SerialOrderWPLst_LastModify, grmi.Approximate, false),
		meta.SerialOrderWPLst_LastUser.UrlParameterName:      grmi.NewConditionItem(meta.SerialOrderWPLst_LastUser, grmi.Equal, false),
		meta.SerialOrderWPLst_CreateTime.UrlParameterName:    grmi.NewConditionItem(meta.SerialOrderWPLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : SerialOrderWPLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var DefaultConditionOfSerialOrderWPLstAndPaging = grmi.NewCondition(
	DefaultConditionOfSerialOrderWPLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderWPLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderWPLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type SerialOrderWPLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewSerialOrderWPLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SerialOrderWPLstDAOImplement实例
 *
 * @Return Value             : SerialOrderWPLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func NewSerialOrderWPLstServiceImplement() *SerialOrderWPLstServiceImplement {
	return &SerialOrderWPLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPLstService.InsertOne
 *
 ******************************************************************************/
func (impl *SerialOrderWPLstServiceImplement) InsertOne(user *models.Usertab, entity *model.SerialOrderWPLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPLst.service.impl.go", "InsertOneSerialOrderWPLst", "插入一个SerialOrderWPLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPLstDAO(session, user.Pid, user.Userid)
	record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.Pos)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *SerialOrderWPLstServiceImplement) DeleteOne(user *models.Usertab, serialOrderId string, workPlaceNr int, pos int) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPLst.service.impl.go", "DeleteOneSerialOrderWPLst", "删除一个SerialOrderWPLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPLstDAO(session, user.Pid, user.Userid)
	record, err := dao.SelectOne(serialOrderId, workPlaceNr, pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(serialOrderId, workPlaceNr, pos)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPLstService.SelectOne
 *
 ******************************************************************************/
func (impl *SerialOrderWPLstServiceImplement) SelectOne(user *models.Usertab, serialOrderId string, workPlaceNr int, pos int) (*model.SerialOrderWPLst, error) {

	grmi.Log(user, "/services/om/implments/SerialOrderWPLst.service.impl.go", "SelectOneSerialOrderWPLst", "查询一个SerialOrderWPLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPLstDAO(session, user.Pid, user.Userid)
	result, err := dao.SelectOne(serialOrderId, workPlaceNr, pos)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *SerialOrderWPLstServiceImplement) UpdateOne(user *models.Usertab, entity *model.SerialOrderWPLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPLst.service.impl.go", "UpdateOneSerialOrderWPLst", "修改一个SerialOrderWPLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPLstDAO(session, user.Pid, user.Userid)
	record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.Pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPLstService.Insert
 *
 ******************************************************************************/
func (impl *SerialOrderWPLstServiceImplement) Insert(user *models.Usertab, entities *[]model.SerialOrderWPLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPLst.service.impl.go", "InsertSerialOrderWPLst", "插入多个SerialOrderWPLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPLstDAO(session, user.Pid, user.Userid)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.Pos)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPLstService.Delete
 *
 ******************************************************************************/
func (impl *SerialOrderWPLstServiceImplement) Delete(user *models.Usertab, entities *[]model.SerialOrderWPLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPLst.service.impl.go", "DeleteSerialOrderWPLst", "删除多个SerialOrderWPLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPLstDAO(session, user.Pid, user.Userid)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPLstService.Select
 *
 ******************************************************************************/
func (impl *SerialOrderWPLstServiceImplement) Select(user *models.Usertab, urlParameters map[string]string) (interface{}, error) {

	grmi.Log(user, "/services/om/implments/SerialOrderWPLst.service.impl.go", "SelectSerialOrderWPLst", "查询SerialOrderWPLst")

	condition := DefaultConditionOfSerialOrderWPLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewSerialOrderWPLstDAO(session, user.Pid, user.Userid)
	if condition.Fill(urlParameters) {
		result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
		if err != nil {
			return nil, err
		}
		return result, nil
	} else {
		result, err := dao.Select(predicates, condition.OrderByFields)
		if err != nil {
			return nil, err
		}
		return result, nil
	}
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPLstService.Update
 *
 ******************************************************************************/
func (impl *SerialOrderWPLstServiceImplement) Update(user *models.Usertab, entities *[]model.SerialOrderWPLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPLst.service.impl.go", "UpdateSerialOrderWPLst", "修改多个SerialOrderWPLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPLstDAO(session, user.Pid, user.Userid)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
