// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package implments

import (
	dal "LAPP_LF_MOM_BACKEND/dao/om"
	"LAPP_LF_MOM_BACKEND/db"
	"LAPP_LF_MOM_BACKEND/grmi"
	meta "LAPP_LF_MOM_BACKEND/meta/om"
	model "LAPP_LF_MOM_BACKEND/models/om"
	"LAPP_LF_MOM_BACKEND/web/models"
)

/******************************************************************************
 *
 * @Description              : SerialOrderWPStatusRecLst的默认查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var DefaultConditionOfSerialOrderWPStatusRecLst = grmi.NewCondition(
	map[string]grmi.ConditionItem{
		meta.SerialOrderWPStatusRecLst_SerialOrderId.UrlParameterName:        grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_SerialOrderId, grmi.Equal, true),
		meta.SerialOrderWPStatusRecLst_WorkPlaceNr.UrlParameterName:          grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_WorkPlaceNr, grmi.Equal, true),
		meta.SerialOrderWPStatusRecLst_OriginPos.UrlParameterName:            grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_OriginPos, grmi.Equal, true),
		meta.SerialOrderWPStatusRecLst_Pos.UrlParameterName:                  grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_Pos, grmi.Equal, true),
		meta.SerialOrderWPStatusRecLst_PrevStatus.UrlParameterName:           grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_PrevStatus, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_Status.UrlParameterName:               grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_Status, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_TriggerEvent.UrlParameterName:         grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_TriggerEvent, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_TriggerObjectId.UrlParameterName:      grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_TriggerObjectId, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_TriggerSubObjectId.UrlParameterName:   grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_TriggerSubObjectId, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_OutputStatus.UrlParameterName:         grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_OutputStatus, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_OutputEvent.UrlParameterName:          grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_OutputEvent, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_OutputEventMessageId.UrlParameterName: grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_OutputEventMessageId, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_OutputObjectId.UrlParameterName:       grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_OutputObjectId, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_OutputSubObjectId.UrlParameterName:    grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_OutputSubObjectId, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_OutputErrNum.UrlParameterName:         grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_OutputErrNum, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_Remark1.UrlParameterName:              grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_Remark1, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_Remark2.UrlParameterName:              grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_Remark2, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_LastModify.UrlParameterName:           grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_LastModify, grmi.Approximate, false),
		meta.SerialOrderWPStatusRecLst_LastUser.UrlParameterName:             grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_LastUser, grmi.Equal, false),
		meta.SerialOrderWPStatusRecLst_CreateTime.UrlParameterName:           grmi.NewConditionItem(meta.SerialOrderWPStatusRecLst_CreateTime, grmi.Approximate, false),
	},
	nil,
)

/******************************************************************************
 *
 * @Description              : SerialOrderWPStatusRecLst的默认分页查询条件
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
var DefaultConditionOfSerialOrderWPStatusRecLstAndPaging = grmi.NewCondition(
	DefaultConditionOfSerialOrderWPStatusRecLst.Items,
	grmi.NewPaging(),
)

/******************************************************************************
 *
 * @Struct Name              : SerialOrderWPStatusRecLstServiceImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : SerialOrderWPStatusRecLst的服务实现
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
type SerialOrderWPStatusRecLstServiceImplement struct {
}

/******************************************************************************
 *
 * @Function Name            : NewSerialOrderWPStatusRecLstDAOImplement
 *-----------------------------------------------------------------------------
 *
 * @Description              : 创建一个SerialOrderWPStatusRecLstDAOImplement实例
 *
 * @Return Value             : SerialOrderWPStatusRecLstDAOImplement实例
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-07-08 10:08:33
 *
 ******************************************************************************/
func NewSerialOrderWPStatusRecLstServiceImplement() *SerialOrderWPStatusRecLstServiceImplement {
	return &SerialOrderWPStatusRecLstServiceImplement{}
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPStatusRecLstService.InsertOne
 *
 ******************************************************************************/
func (impl *SerialOrderWPStatusRecLstServiceImplement) InsertOne(user *models.Usertab, entity *model.SerialOrderWPStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPStatusRecLst.service.impl.go", "InsertOneSerialOrderWPStatusRecLst", "插入一个SerialOrderWPStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPStatusRecLstDAO(session, user.Pid, user.Userid)
	record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.OriginPos, entity.Pos)
	if err != nil {
		return err
	}
	if record != nil {
		return grmi.NewBusinessError("已经存在相同主键的记录!")
	}
	err = dao.InsertOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPStatusRecLstService.DeleteOne
 *
 ******************************************************************************/
func (impl *SerialOrderWPStatusRecLstServiceImplement) DeleteOne(user *models.Usertab, serialOrderId string, workPlaceNr int, originPos int, pos int) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPStatusRecLst.service.impl.go", "DeleteOneSerialOrderWPStatusRecLst", "删除一个SerialOrderWPStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPStatusRecLstDAO(session, user.Pid, user.Userid)
	record, err := dao.SelectOne(serialOrderId, workPlaceNr, originPos, pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.DeleteOne(serialOrderId, workPlaceNr, originPos, pos)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPStatusRecLstService.SelectOne
 *
 ******************************************************************************/
func (impl *SerialOrderWPStatusRecLstServiceImplement) SelectOne(user *models.Usertab, serialOrderId string, workPlaceNr int, originPos int, pos int) (*model.SerialOrderWPStatusRecLst, error) {

	grmi.Log(user, "/services/om/implments/SerialOrderWPStatusRecLst.service.impl.go", "SelectOneSerialOrderWPStatusRecLst", "查询一个SerialOrderWPStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPStatusRecLstDAO(session, user.Pid, user.Userid)
	result, err := dao.SelectOne(serialOrderId, workPlaceNr, originPos, pos)
	if err != nil {
		return nil, err
	}
	return result, nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPStatusRecLstService.UpdateOne
 *
 ******************************************************************************/
func (impl *SerialOrderWPStatusRecLstServiceImplement) UpdateOne(user *models.Usertab, entity *model.SerialOrderWPStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPStatusRecLst.service.impl.go", "UpdateOneSerialOrderWPStatusRecLst", "修改一个SerialOrderWPStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPStatusRecLstDAO(session, user.Pid, user.Userid)
	record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.OriginPos, entity.Pos)
	if err != nil {
		return err
	}
	if record == nil {
		return grmi.NewBusinessError("不存在指定记录!")
	}
	err = dao.UpdateOne(entity)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPStatusRecLstService.Insert
 *
 ******************************************************************************/
func (impl *SerialOrderWPStatusRecLstServiceImplement) Insert(user *models.Usertab, entities *[]model.SerialOrderWPStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPStatusRecLst.service.impl.go", "InsertSerialOrderWPStatusRecLst", "插入多个SerialOrderWPStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPStatusRecLstDAO(session, user.Pid, user.Userid)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.OriginPos, entity.Pos)
		if err != nil {
			return err
		}
		if record != nil {
			return grmi.NewBusinessError("已经存在相同主键的记录!")
		}
	}

	err := dao.Insert(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPStatusRecLstService.Delete
 *
 ******************************************************************************/
func (impl *SerialOrderWPStatusRecLstServiceImplement) Delete(user *models.Usertab, entities *[]model.SerialOrderWPStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPStatusRecLst.service.impl.go", "DeleteSerialOrderWPStatusRecLst", "删除多个SerialOrderWPStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPStatusRecLstDAO(session, user.Pid, user.Userid)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.OriginPos, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Delete(entities)
	if err != nil {
		return err
	}
	return nil
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPStatusRecLstService.Select
 *
 ******************************************************************************/
func (impl *SerialOrderWPStatusRecLstServiceImplement) Select(user *models.Usertab, urlParameters map[string]string) (interface{}, error) {

	grmi.Log(user, "/services/om/implments/SerialOrderWPStatusRecLst.service.impl.go", "SelectSerialOrderWPStatusRecLst", "查询SerialOrderWPStatusRecLst")

	condition := DefaultConditionOfSerialOrderWPStatusRecLstAndPaging
	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	predicates, err := condition.BuildPredicates(urlParameters)
	if err != nil {
		return nil, err
	}
	dao := dal.NewSerialOrderWPStatusRecLstDAO(session, user.Pid, user.Userid)
	if condition.Fill(urlParameters) {
		result, err := dao.SelectAndPaging(condition.Paging, predicates, condition.OrderByFields)
		if err != nil {
			return nil, err
		}
		return result, nil
	} else {
		result, err := dao.Select(predicates, condition.OrderByFields)
		if err != nil {
			return nil, err
		}
		return result, nil
	}
}

/******************************************************************************
 *
 * @Reference LAPP_LF_MOM_BACKEND/services/om/SerialOrderWPStatusRecLstService.Update
 *
 ******************************************************************************/
func (impl *SerialOrderWPStatusRecLstServiceImplement) Update(user *models.Usertab, entities *[]model.SerialOrderWPStatusRecLst) error {

	grmi.Log(user, "/services/om/implments/SerialOrderWPStatusRecLst.service.impl.go", "UpdateSerialOrderWPStatusRecLst", "修改多个SerialOrderWPStatusRecLst")

	engine := db.Eloquent.Master()
	session := engine.NewSession()
	defer session.Close()
	dao := dal.NewSerialOrderWPStatusRecLstDAO(session, user.Pid, user.Userid)

	for _, entity := range *entities {
		record, err := dao.SelectOne(entity.SerialOrderId, entity.WorkPlaceNr, entity.OriginPos, entity.Pos)
		if err != nil {
			return err
		}
		if record == nil {
			return grmi.NewBusinessError("不存在指定记录!")
		}
	}

	err := dao.Update(entities)
	if err != nil {
		return err
	}
	return nil
}
