#### 入库备件

#### WM_GoodsReceiptHead

```go
type GoodsReceiptHead struct {
GoodsReceiptId string        `xorm:"pk nvarchar(40) 'GoodsReceiptId'" json:"WM_GoodsReceiptHead-GoodsReceiptId"`  //入库流水号
RefOrderId     string        `xorm:"nvarchar(100) 'RefOrderId' not null" json:"WM_GoodsReceiptHead-RefOrderId"`   //入库单号
GRWarehouseId  string        `xorm:"nvarchar(40) 'GRWarehouseId' not null" json:"WM_GoodsReceiptHead-GRWarehouseId"` //库房id
Remark         string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_GoodsReceiptHead-Remark"`//备注
DemandDate     grmi.Date     `xorm:"date 'DemandDate' not null" json:"WM_GoodsReceiptHead-DemandDate"`// 需求日期
RegisterDate   grmi.Date     `xorm:"date 'RegisterDate' not null" json:"WM_GoodsReceiptHead-RegisterDate"`// 注册日期
Status         string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_GoodsReceiptHead-Status"`//状态
SupplierId     string        `xorm:"nvarchar(40) 'SupplierId' not null" json:"WM_GoodsReceiptHead-SupplierId"`//供应商id
SupplierName   string        `xorm:"nvarchar(100) 'SupplierName' not null" json:"WM_GoodsReceiptHead-SupplierName"`//供应商名称
GRType         string        `xorm:"nvarchar(40) 'GRType' not null" json:"WM_GoodsReceiptHead-GRType"`//文本
GRType1        string        `xorm:"nvarchar(40) 'GRType1' not null" json:"WM_GoodsReceiptHead-GRType1"`//文本1
GRType2        string        `xorm:"nvarchar(40) 'GRType2' not null" json:"WM_GoodsReceiptHead-GRType2"`//文本2
GRReason       string        `xorm:"nvarchar(255) 'GRReason' not null" json:"WM_GoodsReceiptHead-GRReason"`// 入库描述
OrderedQty     float64       `xorm:"float 'OrderedQty' not null" json:"WM_GoodsReceiptHead-OrderedQty"`//订单数量
DeliveredQty   float64       `xorm:"float 'DeliveredQty' not null" json:"WM_GoodsReceiptHead-DeliveredQty"`//发运数量
Applicant      string        `xorm:"nvarchar(40) 'Applicant' not null" json:"WM_GoodsReceiptHead-Applicant"`//申请人
Department     string        `xorm:"nvarchar(40) 'Department' not null" json:"WM_GoodsReceiptHead-Department"`//部门
ApplyTime      grmi.DateTime `xorm:"datetime 'ApplyTime' not null" json:"WM_GoodsReceiptHead-ApplyTime"`//申请时间
GRCtrlPara1    int           `xorm:"int 'GRCtrlPara1' not null" json:"WM_GoodsReceiptHead-GRCtrlPara1"`
GRCtrlPara2    int           `xorm:"int 'GRCtrlPara2' not null" json:"WM_GoodsReceiptHead-GRCtrlPara2"`
GRCtrlPara3    int           `xorm:"int 'GRCtrlPara3' not null" json:"WM_GoodsReceiptHead-GRCtrlPara3"`
GRCtrlPara4    int           `xorm:"int 'GRCtrlPara4' not null" json:"WM_GoodsReceiptHead-GRCtrlPara4"`
GRCtrlPara5    string        `xorm:"nvarchar(255) 'GRCtrlPara5'" json:"WM_GoodsReceiptHead-GRCtrlPara5"`
GRCtrlPara6    string        `xorm:"nvarchar(255) 'GRCtrlPara6'" json:"WM_GoodsReceiptHead-GRCtrlPara6"`
GRCtrlPara7    string        `xorm:"nvarchar(255) 'GRCtrlPara7'" json:"WM_GoodsReceiptHead-GRCtrlPara7"`
GRCtrlPara8    string        `xorm:"nvarchar(255) 'GRCtrlPara8'" json:"WM_GoodsReceiptHead-GRCtrlPara8"`
GRCtrlPara9    float64       `xorm:"float 'GRCtrlPara9'" json:"WM_GoodsReceiptHead-GRCtrlPara9"`
GRCtrlPara10   float64       `xorm:"float 'GRCtrlPara10'" json:"WM_GoodsReceiptHead-GRCtrlPara10"`
GRCtrlPara11   float64       `xorm:"float 'GRCtrlPara11'" json:"WM_GoodsReceiptHead-GRCtrlPara11"`
GRCtrlPara12   float64       `xorm:"float 'GRCtrlPara12'" json:"WM_GoodsReceiptHead-GRCtrlPara12"`
GRCtrlPara13   grmi.DateTime `xorm:"datetime 'GRCtrlPara13'" json:"WM_GoodsReceiptHead-GRCtrlPara13"`
GRCtrlPara14   grmi.DateTime `xorm:"datetime 'GRCtrlPara14'" json:"WM_GoodsReceiptHead-GRCtrlPara14"`
GRCtrlPara15   grmi.DateTime `xorm:"datetime 'GRCtrlPara15'" json:"WM_GoodsReceiptHead-GRCtrlPara15"`
GRCtrlPara16   grmi.DateTime `xorm:"datetime 'GRCtrlPara16'" json:"WM_GoodsReceiptHead-GRCtrlPara16"`
LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsReceiptHead-LastModify"`
LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsReceiptHead-LastUser"`
CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsReceiptHead-CreateTime"`

GoodsReceiptDetail       []GoodsReceiptDetail       `json:"goods-receipt-detail" xorm:"-"`               //详情列表
}
```
#### 接口：
插入 入库： /admin/wm/goodsreceipthead/insertone
查询一条: /admin/wm/goodsreceipthead/get/{GoodsReceiptId:string}

#### 入库备件详情

#### WM_GoodsReceiptDetail

```go
type GoodsReceiptDetail struct {
GoodsReceiptId string        `xorm:"pk nvarchar(40) 'GoodsReceiptId'" json:"WM_GoodsReceiptDetail-GoodsReceiptId"`//入库流水号
GRPos          int           `xorm:"pk int 'GRPos'" json:"WM_GoodsReceiptDetail-GRPos"`//入库详情编号 1，2，3。。。
ArtId          string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_GoodsReceiptDetail-ArtId"`//物料id
ArtName        string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_GoodsReceiptDetail-ArtName"`//物料名称
ArtType        string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_GoodsReceiptDetail-ArtType"`//物料类型
Remark         string        `xorm:"nvarchar(100) 'Remark' not null" json:"WM_GoodsReceiptDetail-Remark"`//备注
Auditor        string        `xorm:"nvarchar(40) 'Auditor' not null" json:"WM_GoodsReceiptDetail-Auditor"`//审核人
AuditTime      grmi.DateTime `xorm:"datetime 'AuditTime' not null" json:"WM_GoodsReceiptDetail-AuditTime"`//审核时间
AuditStatus    string        `xorm:"nvarchar(3) 'AuditStatus' not null" json:"WM_GoodsReceiptDetail-AuditStatus"`//审核状态
BatchId        string        `xorm:"nvarchar(255) 'BatchId' not null" json:"WM_GoodsReceiptDetail-BatchId"`// 批次ID
OrderedQty     float64       `xorm:"float 'OrderedQty' not null" json:"WM_GoodsReceiptDetail-OrderedQty"`// 订单数量
OrderType      string        `xorm:"nvarchar(40) 'OrderType' not null" json:"WM_GoodsReceiptDetail-OrderType"`// 订单类型
DeliveredQty   float64       `xorm:"float 'DeliveredQty' not null" json:"WM_GoodsReceiptDetail-DeliveredQty"`// 发运数量
QtyUom         string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_GoodsReceiptDetail-QtyUom"`//计量单位 （个）
UnitPrice      float64       `xorm:"float 'UnitPrice'" json:"WM_GoodsReceiptDetail-UnitPrice"`//单价
TotalPrice     float64       `xorm:"float 'TotalPrice'" json:"WM_GoodsReceiptDetail-TotalPrice"`//总金额
Currency       string        `xorm:"nvarchar(40) 'Currency' not null" json:"WM_GoodsReceiptDetail-Currency"`//单价货币类型
InspectToggle  bool          `xorm:"bit 'InspectToggle' not null" json:"WM_GoodsReceiptDetail-InspectToggle"`// 检查开关
InspectPlanId  string        `xorm:"nvarchar(40) 'InspectPlanId' not null" json:"WM_GoodsReceiptDetail-InspectPlanId"`// 检查计划ID
InspectStatus  string        `xorm:"nvarchar(3) 'InspectStatus' not null" json:"WM_GoodsReceiptDetail-InspectStatus"`// 检查状态
GRICtrlPara1   int           `xorm:"int 'GRICtrlPara1' not null" json:"WM_GoodsReceiptDetail-GRICtrlPara1"`
GRICtrlPara2   int           `xorm:"int 'GRICtrlPara2' not null" json:"WM_GoodsReceiptDetail-GRICtrlPara2"`
GRICtrlPara3   int           `xorm:"int 'GRICtrlPara3' not null" json:"WM_GoodsReceiptDetail-GRICtrlPara3"`
GRICtrlPara4   int           `xorm:"int 'GRICtrlPara4' not null" json:"WM_GoodsReceiptDetail-GRICtrlPara4"`
GRICtrlPara5   string        `xorm:"nvarchar(255) 'GRICtrlPara5'" json:"WM_GoodsReceiptDetail-GRICtrlPara5"`
GRICtrlPara6   string        `xorm:"nvarchar(255) 'GRICtrlPara6'" json:"WM_GoodsReceiptDetail-GRICtrlPara6"`
GRICtrlPara7   string        `xorm:"nvarchar(255) 'GRICtrlPara7'" json:"WM_GoodsReceiptDetail-GRICtrlPara7"`
GRICtrlPara8   string        `xorm:"nvarchar(255) 'GRICtrlPara8'" json:"WM_GoodsReceiptDetail-GRICtrlPara8"`
GRICtrlPara9   float64       `xorm:"float 'GRICtrlPara9'" json:"WM_GoodsReceiptDetail-GRICtrlPara9"`
GRICtrlPara10  float64       `xorm:"float 'GRICtrlPara10'" json:"WM_GoodsReceiptDetail-GRICtrlPara10"`
GRICtrlPara11  float64       `xorm:"float 'GRICtrlPara11'" json:"WM_GoodsReceiptDetail-GRICtrlPara11"`
GRICtrlPara12  float64       `xorm:"float 'GRICtrlPara12'" json:"WM_GoodsReceiptDetail-GRICtrlPara12"`
GRICtrlPara13  grmi.DateTime `xorm:"datetime 'GRICtrlPara13'" json:"WM_GoodsReceiptDetail-GRICtrlPara13"`
GRICtrlPara14  grmi.DateTime `xorm:"datetime 'GRICtrlPara14'" json:"WM_GoodsReceiptDetail-GRICtrlPara14"`
GRICtrlPara15  grmi.DateTime `xorm:"datetime 'GRICtrlPara15'" json:"WM_GoodsReceiptDetail-GRICtrlPara15"`
GRICtrlPara16  grmi.DateTime `xorm:"datetime 'GRICtrlPara16'" json:"WM_GoodsReceiptDetail-GRICtrlPara16"`
LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsReceiptDetail-LastModify"`
LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsReceiptDetail-LastUser"`
CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsReceiptDetail-CreateTime"`
BeforeQty     float64       `xorm:"float 'BeforeQty' not null" json:"WM_GoodsReceiptDetail-BeforeQty"`// 之前库存
CurQty     float64       	`xorm:"float 'CurQty' not null" json:"WM_GoodsReceiptDetail-CurQty"`// 当前库存

GoodsReceiptLst       []GoodsReceiptLst       `json:"goods-receipt-lst" xorm:"-"`               // 库位列表
}
```
#### 接口：
列表 入库流水查询: /admin/wm/goodsreceiptdetail/query/{ArtId:string}
查询一条: /admin/wm/goodsreceiptdetail/get/{GoodsReceiptId:string,GRPos:int}

#### 入库备件详情列表

#### WM_GoodsReceiptLst

```go
type GoodsReceiptLst struct {
GoodsReceiptId string        `xorm:"pk nvarchar(40) 'GoodsReceiptId'" json:"WM_GoodsReceiptLst-GoodsReceiptId"`//入库流水号
GRPos          int           `xorm:"pk int 'GRPos'" json:"WM_GoodsReceiptLst-GRPos"`//入库详情编号 1，2，3。。。
GRLPos         int           `xorm:"pk int 'GRLPos'" json:"WM_GoodsReceiptLst-GRLPos"`//入库详情列表编号 1，2，3。。。
WarehouseId    string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_GoodsReceiptLst-WarehouseId"`//库房id
StorageAreaId  string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_GoodsReceiptLst-StorageAreaId"`//库区id
StorageBinId   string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_GoodsReceiptLst-StorageBinId"`//库位id
StorageRackId  string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_GoodsReceiptLst-StorageRackId"`//库架id
Qty            float64       `xorm:"float 'Qty' not null" json:"WM_GoodsReceiptLst-Qty"`//数量
CtrlPara1      string        `xorm:"nvarchar(100) 'CtrlPara1' not null" json:"WM_GoodsReceiptLst-CtrlPara1"`
CtrlPara2      string        `xorm:"nvarchar(100) 'CtrlPara2' not null" json:"WM_GoodsReceiptLst-CtrlPara2"`
CtrlPara3      int           `xorm:"int 'CtrlPara3' not null" json:"WM_GoodsReceiptLst-CtrlPara3"`
CtrlPara4      int           `xorm:"int 'CtrlPara4' not null" json:"WM_GoodsReceiptLst-CtrlPara4"`
CtrlPara5      float64       `xorm:"float 'CtrlPara5' not null" json:"WM_GoodsReceiptLst-CtrlPara5"`
CtrlPara6      float64       `xorm:"float 'CtrlPara6' not null" json:"WM_GoodsReceiptLst-CtrlPara6"`
LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsReceiptLst-LastModify"`
LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsReceiptLst-LastUser"`
CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsReceiptLst-CreateTime"`
}
```
#### 接口：
列表: /admin/wm/goodsreceiptlst/query
查询一条: /admin/wm/goodsreceiptlst/get


#### 出库备件

#### WM_GoodsIssueHead

```go
type GoodsIssueHead struct {
GoodsIssueId string        `xorm:"pk nvarchar(40) 'GoodsIssueId'" json:"WM_GoodsIssueHead-GoodsIssueId"`
RefOrderId   string        `xorm:"nvarchar(100) 'RefOrderId' not null" json:"WM_GoodsIssueHead-RefOrderId"`
CustOrderId  string        `xorm:"nvarchar(100) 'CustOrderId' not null" json:"WM_GoodsIssueHead-CustOrderId"`
Destination  string        `xorm:"nvarchar(40) 'Destination' not null" json:"WM_GoodsIssueHead-Destination"`
Remark       string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_GoodsIssueHead-Remark"`
DeliveryDate grmi.Date     `xorm:"date 'DeliveryDate' not null" json:"WM_GoodsIssueHead-DeliveryDate"`
Status       string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_GoodsIssueHead-Status"`
GIType       string        `xorm:"nvarchar(40) 'GIType' not null" json:"WM_GoodsIssueHead-GIType"`
GIType1      string        `xorm:"nvarchar(40) 'GIType1' not null" json:"WM_GoodsIssueHead-GIType1"`
GIType2      string        `xorm:"nvarchar(40) 'GIType2' not null" json:"WM_GoodsIssueHead-GIType2"`
GIReason     string        `xorm:"nvarchar(255) 'GIReason' not null" json:"WM_GoodsIssueHead-GIReason"`
Priority     int           `xorm:"int 'Priority' not null" json:"WM_GoodsIssueHead-Priority"`
CostCenterId string        `xorm:"nvarchar(40) 'CostCenterId' not null" json:"WM_GoodsIssueHead-CostCenterId"`
BookingKey   string        `xorm:"nvarchar(100) 'BookingKey' not null" json:"WM_GoodsIssueHead-BookingKey"`
GICtrlPara1  int           `xorm:"int 'GICtrlPara1' not null" json:"WM_GoodsIssueHead-GICtrlPara1"`
GICtrlPara2  int           `xorm:"int 'GICtrlPara2' not null" json:"WM_GoodsIssueHead-GICtrlPara2"`
GICtrlPara3  int           `xorm:"int 'GICtrlPara3' not null" json:"WM_GoodsIssueHead-GICtrlPara3"`
GICtrlPara4  int           `xorm:"int 'GICtrlPara4' not null" json:"WM_GoodsIssueHead-GICtrlPara4"`
GICtrlPara5  string        `xorm:"nvarchar(255) 'GICtrlPara5'" json:"WM_GoodsIssueHead-GICtrlPara5"`
GICtrlPara6  string        `xorm:"nvarchar(255) 'GICtrlPara6'" json:"WM_GoodsIssueHead-GICtrlPara6"`
GICtrlPara7  string        `xorm:"nvarchar(255) 'GICtrlPara7'" json:"WM_GoodsIssueHead-GICtrlPara7"`
GICtrlPara8  string        `xorm:"nvarchar(255) 'GICtrlPara8'" json:"WM_GoodsIssueHead-GICtrlPara8"`
GICtrlPara9  float64       `xorm:"float 'GICtrlPara9'" json:"WM_GoodsIssueHead-GICtrlPara9"`
GICtrlPara10 float64       `xorm:"float 'GICtrlPara10'" json:"WM_GoodsIssueHead-GICtrlPara10"`
GICtrlPara11 float64       `xorm:"float 'GICtrlPara11'" json:"WM_GoodsIssueHead-GICtrlPara11"`
GICtrlPara12 float64       `xorm:"float 'GICtrlPara12'" json:"WM_GoodsIssueHead-GICtrlPara12"`
GICtrlPara13 grmi.DateTime `xorm:"datetime 'GICtrlPara13'" json:"WM_GoodsIssueHead-GICtrlPara13"`
GICtrlPara14 grmi.DateTime `xorm:"datetime 'GICtrlPara14'" json:"WM_GoodsIssueHead-GICtrlPara14"`
GICtrlPara15 grmi.DateTime `xorm:"datetime 'GICtrlPara15'" json:"WM_GoodsIssueHead-GICtrlPara15"`
GICtrlPara16 grmi.DateTime `xorm:"datetime 'GICtrlPara16'" json:"WM_GoodsIssueHead-GICtrlPara16"`
LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsIssueHead-LastModify"`
LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsIssueHead-LastUser"`
CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsIssueHead-CreateTime"`

GoodsIssueDetail       []GoodsIssueDetail       `json:"goods-issue-detail" xorm:"-"`               //
}
```
#### 接口：
插入 出库： /admin/wm/goodsissuehead/insertone
查询一条: /admin/wm/goodsissuehead/get/{GoodsReceiptId:string}

#### 出库备件详情

#### WM_GoodsIssueDetail

```go
type GoodsIssueDetail struct {
GoodsIssueId  string        `xorm:"pk nvarchar(40) 'GoodsIssueId'" json:"WM_GoodsIssueDetail-GoodsIssueId"`
GIPos         int           `xorm:"pk int 'GIPos'" json:"WM_GoodsIssueDetail-GIPos"`
Remark        string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_GoodsIssueDetail-Remark"`
ArtId         string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_GoodsIssueDetail-ArtId"`
ArtName       string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_GoodsIssueDetail-ArtName"`
ArtType       string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_GoodsIssueDetail-ArtType"`
RequiredQty   float64       `xorm:"float 'RequiredQty' not null" json:"WM_GoodsIssueDetail-RequiredQty"`//必须数量
RequestType   string        `xorm:"nvarchar(40) 'RequestType' not null" json:"WM_GoodsIssueDetail-RequestType"`//请求类型
ReservedQty   float64       `xorm:"float 'ReservedQty' not null" json:"WM_GoodsIssueDetail-ReservedQty"`//保留数量
ActualQty     float64       `xorm:"float 'ActualQty' not null" json:"WM_GoodsIssueDetail-ActualQty"`//实际数量
OrderQty      float64       `xorm:"float 'OrderQty' not null" json:"WM_GoodsIssueDetail-OrderQty"`// 订单数量
DeliveryDate  grmi.Date     `xorm:"date 'DeliveryDate'" json:"WM_GoodsIssueDetail-DeliveryDate"` // 交付时间
InspectToggle bool          `xorm:"bit 'InspectToggle' not null" json:"WM_GoodsIssueDetail-InspectToggle"`
InspectPlanId string        `xorm:"nvarchar(40) 'InspectPlanId' not null" json:"WM_GoodsIssueDetail-InspectPlanId"`
InspectStatus string        `xorm:"nvarchar(3) 'InspectStatus' not null" json:"WM_GoodsIssueDetail-InspectStatus"`
Auditor       string        `xorm:"nvarchar(40) 'Auditor' not null" json:"WM_GoodsIssueDetail-Auditor"`
AuditTime     grmi.DateTime `xorm:"datetime 'AuditTime' not null" json:"WM_GoodsIssueDetail-AuditTime"`
AuditStatus   string        `xorm:"nvarchar(3) 'AuditStatus' not null" json:"WM_GoodsIssueDetail-AuditStatus"`
BatchId       string        `xorm:"nvarchar(255) 'BatchId' not null" json:"WM_GoodsIssueDetail-BatchId"`
GICtrlPara1   int           `xorm:"int 'GICtrlPara1' not null" json:"WM_GoodsIssueDetail-GICtrlPara1"`
GIICtrlPara2  int           `xorm:"int 'GIICtrlPara2' not null" json:"WM_GoodsIssueDetail-GIICtrlPara2"`
GIICtrlPara3  int           `xorm:"int 'GIICtrlPara3' not null" json:"WM_GoodsIssueDetail-GIICtrlPara3"`
GIICtrlPara4  int           `xorm:"int 'GIICtrlPara4' not null" json:"WM_GoodsIssueDetail-GIICtrlPara4"`
GIICtrlPara5  string        `xorm:"nvarchar(255) 'GIICtrlPara5'" json:"WM_GoodsIssueDetail-GIICtrlPara5"`
GIICtrlPara6  string        `xorm:"nvarchar(255) 'GIICtrlPara6'" json:"WM_GoodsIssueDetail-GIICtrlPara6"`
GIICtrlPara7  string        `xorm:"nvarchar(255) 'GIICtrlPara7'" json:"WM_GoodsIssueDetail-GIICtrlPara7"`
GIICtrlPara8  string        `xorm:"nvarchar(255) 'GIICtrlPara8'" json:"WM_GoodsIssueDetail-GIICtrlPara8"`
GIICtrlPara9  float64       `xorm:"float 'GIICtrlPara9'" json:"WM_GoodsIssueDetail-GIICtrlPara9"`
GIICtrlPara10 float64       `xorm:"float 'GIICtrlPara10'" json:"WM_GoodsIssueDetail-GIICtrlPara10"`
GIICtrlPara11 float64       `xorm:"float 'GIICtrlPara11'" json:"WM_GoodsIssueDetail-GIICtrlPara11"`
GIICtrlPara12 float64       `xorm:"float 'GIICtrlPara12'" json:"WM_GoodsIssueDetail-GIICtrlPara12"`
GIICtrlPara13 grmi.DateTime `xorm:"datetime 'GIICtrlPara13'" json:"WM_GoodsIssueDetail-GIICtrlPara13"`
GIICtrlPara14 grmi.DateTime `xorm:"datetime 'GIICtrlPara14'" json:"WM_GoodsIssueDetail-GIICtrlPara14"`
GIICtrlPara15 grmi.DateTime `xorm:"datetime 'GIICtrlPara15'" json:"WM_GoodsIssueDetail-GIICtrlPara15"`
GIICtrlPara16 grmi.DateTime `xorm:"datetime 'GIICtrlPara16'" json:"WM_GoodsIssueDetail-GIICtrlPara16"`
LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsIssueDetail-LastModify"`
LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsIssueDetail-LastUser"`
CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsIssueDetail-CreateTime"`
BeforeQty     float64       `xorm:"float 'BeforeQty' not null" json:"WM_GoodsIssueDetail-BeforeQty"`// 之前库存
CurQty     float64       	`xorm:"float 'CurQty' not null" json:"WM_GoodsIssueDetail-CurQty"`// 当前库存

GoodsIssueLst       []GoodsIssueLst       `json:"goods-issue-lst" xorm:"-"`               //
}
```
#### 接口：
列表 出库流水查询: /admin/wm/goodsissuedetail/query/{ArtId:string}
查询一条: /admin/wm/goodsissuedetail/get/{GoodsReceiptId:string,GIPos:int}

#### 出库备件详情列表

#### WM_GoodsIssueLst

```go
type GoodsIssueLst struct {
GoodsIssueId  string        `xorm:"pk nvarchar(40) 'GoodsIssueId'" json:"WM_GoodsIssueLst-GoodsIssueId"`
GIPos         int           `xorm:"pk int 'GIPos'" json:"WM_GoodsIssueLst-GIPos"`
GILPos        int           `xorm:"pk int 'GILPos'" json:"WM_GoodsIssueLst-GILPos"`
WarehouseId   string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_GoodsIssueLst-WarehouseId"`
StorageAreaId string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_GoodsIssueLst-StorageAreaId"`
StorageBinId  string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_GoodsIssueLst-StorageBinId"`
StorageRackId string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_GoodsIssueLst-StorageRackId"`
Qty           float64       `xorm:"float 'Qty' not null" json:"WM_GoodsIssueLst-Qty"`
CtrlPara1     string        `xorm:"nvarchar(100) 'CtrlPara1' not null" json:"WM_GoodsIssueLst-CtrlPara1"`
CtrlPara2     string        `xorm:"nvarchar(100) 'CtrlPara2' not null" json:"WM_GoodsIssueLst-CtrlPara2"`
CtrlPara3     int           `xorm:"int 'CtrlPara3' not null" json:"WM_GoodsIssueLst-CtrlPara3"`
CtrlPara4     int           `xorm:"int 'CtrlPara4' not null" json:"WM_GoodsIssueLst-CtrlPara4"`
CtrlPara5     float64       `xorm:"float 'CtrlPara5' not null" json:"WM_GoodsIssueLst-CtrlPara5"`
CtrlPara6     float64       `xorm:"float 'CtrlPara6' not null" json:"WM_GoodsIssueLst-CtrlPara6"`
LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_GoodsIssueLst-LastModify"`
LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_GoodsIssueLst-LastUser"`
CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_GoodsIssueLst-CreateTime"`
}
```
#### 接口：
列表: /admin/wm/goodsissuelst/query
查询一条: /admin/wm/goodsissuelst/get

#### 移库

#### WM_StockTransferHead

```go
type StockTransferHead struct {
StockTransferId   string        `xorm:"pk nvarchar(40) 'StockTransferId'" json:"WM_StockTransferHead-StockTransferId"`//移库id
RefOrderId        string        `xorm:"nvarchar(100) 'RefOrderId' not null" json:"WM_StockTransferHead-RefOrderId"`//关联订单id
WarehouseId       string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_StockTransferHead-WarehouseId"`//库房id
TargetWarehouseId string        `xorm:"nvarchar(40) 'TargetWarehouseId' not null" json:"WM_StockTransferHead-TargetWarehouseId"`//目标库房id
Remark            string        `xorm:"nvarchar(255) 'Remark' not null" json:"WM_StockTransferHead-Remark"`//备注
DemandDate        grmi.Date     `xorm:"date 'DemandDate' not null" json:"WM_StockTransferHead-DemandDate"`//需求时间
RegisterDate      grmi.Date     `xorm:"date 'RegisterDate' not null" json:"WM_StockTransferHead-RegisterDate"`//注册时间
Status            string        `xorm:"nvarchar(3) 'Status' not null" json:"WM_StockTransferHead-Status"`//状态
STType            string        `xorm:"nvarchar(40) 'STType' not null" json:"WM_StockTransferHead-STType"`//移库类型
STType1           string        `xorm:"nvarchar(40) 'STType1' not null" json:"WM_StockTransferHead-STType1"`//移库类型1
STType2           string        `xorm:"nvarchar(40) 'STType2' not null" json:"WM_StockTransferHead-STType2"`//移库类型2
STReason          string        `xorm:"nvarchar(255) 'STReason' not null" json:"WM_StockTransferHead-STReason"`//移库原因
OrderedQty        float64       `xorm:"float 'OrderedQty' not null" json:"WM_StockTransferHead-OrderedQty"`//订单数量
DeliveredQty      float64       `xorm:"float 'DeliveredQty' not null" json:"WM_StockTransferHead-DeliveredQty"`//发送数量
Applicant         string        `xorm:"nvarchar(40) 'Applicant' not null" json:"WM_StockTransferHead-Applicant"`//发起者
Department        string        `xorm:"nvarchar(40) 'Department' not null" json:"WM_StockTransferHead-Department"`//部门
ApplyTime         grmi.DateTime `xorm:"datetime 'ApplyTime' not null" json:"WM_StockTransferHead-ApplyTime"`//申请时间
STCtrlPara1       int           `xorm:"int 'STCtrlPara1' not null" json:"WM_StockTransferHead-STCtrlPara1"`
STCtrlPara2       int           `xorm:"int 'STCtrlPara2' not null" json:"WM_StockTransferHead-STCtrlPara2"`
STCtrlPara3       int           `xorm:"int 'STCtrlPara3' not null" json:"WM_StockTransferHead-STCtrlPara3"`
STCtrlPara4       int           `xorm:"int 'STCtrlPara4' not null" json:"WM_StockTransferHead-STCtrlPara4"`
STCtrlPara5       string        `xorm:"nvarchar(255) 'STCtrlPara5'" json:"WM_StockTransferHead-STCtrlPara5"`
STCtrlPara6       string        `xorm:"nvarchar(255) 'STCtrlPara6'" json:"WM_StockTransferHead-STCtrlPara6"`
STCtrlPara7       string        `xorm:"nvarchar(255) 'STCtrlPara7'" json:"WM_StockTransferHead-STCtrlPara7"`
STCtrlPara8       string        `xorm:"nvarchar(255) 'STCtrlPara8'" json:"WM_StockTransferHead-STCtrlPara8"`
STCtrlPara9       float64       `xorm:"float 'STCtrlPara9'" json:"WM_StockTransferHead-STCtrlPara9"`
STCtrlPara10      float64       `xorm:"float 'STCtrlPara10'" json:"WM_StockTransferHead-STCtrlPara10"`
STCtrlPara11      float64       `xorm:"float 'STCtrlPara11'" json:"WM_StockTransferHead-STCtrlPara11"`
STCtrlPara12      float64       `xorm:"float 'STCtrlPara12'" json:"WM_StockTransferHead-STCtrlPara12"`
STCtrlPara13      grmi.DateTime `xorm:"datetime 'STCtrlPara13'" json:"WM_StockTransferHead-STCtrlPara13"`
STCtrlPara14      grmi.DateTime `xorm:"datetime 'STCtrlPara14'" json:"WM_StockTransferHead-STCtrlPara14"`
STCtrlPara15      grmi.DateTime `xorm:"datetime 'STCtrlPara15'" json:"WM_StockTransferHead-STCtrlPara15"`
STCtrlPara16      grmi.DateTime `xorm:"datetime 'STCtrlPara16'" json:"WM_StockTransferHead-STCtrlPara16"`
LastModify        grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StockTransferHead-LastModify"`
LastUser          string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StockTransferHead-LastUser"`
CreateTime        grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StockTransferHead-CreateTime"`

StockTransferDetail []StockTransferDetail `xorm:"-" json:"WM_StockTransferHead-StockTransferDetail"`
}

type StockTransferDetail struct {
StockTransferId     string        `xorm:"pk nvarchar(40) 'StockTransferId'" json:"WM_StockTransferDetail-StockTransferId"`//移库id
STPos               int           `xorm:"pk int 'STPos'" json:"WM_StockTransferDetail-STPos"`//移库序号 1，2，3.。。
ArtId               string        `xorm:"nvarchar(40) 'ArtId' not null" json:"WM_StockTransferDetail-ArtId"`//物料id
ArtName             string        `xorm:"nvarchar(100) 'ArtName' not null" json:"WM_StockTransferDetail-ArtName"`//物料名称
ArtType             string        `xorm:"nvarchar(40) 'ArtType' not null" json:"WM_StockTransferDetail-ArtType"`//物料类型
Remark              string        `xorm:"nvarchar(100) 'Remark' not null" json:"WM_StockTransferDetail-Remark"`//备注
Auditor             string        `xorm:"nvarchar(40) 'Auditor' not null" json:"WM_StockTransferDetail-Auditor"`//审核人
AuditTime           grmi.DateTime `xorm:"datetime 'AuditTime' not null" json:"WM_StockTransferDetail-AuditTime"`//审核时间
AuditStatus         string        `xorm:"nvarchar(3) 'AuditStatus' not null" json:"WM_StockTransferDetail-AuditStatus"`//审核状态
BatchId             string        `xorm:"nvarchar(255) 'BatchId' not null" json:"WM_StockTransferDetail-BatchId"`//批次id
OrderedQty          float64       `xorm:"float 'OrderedQty' not null" json:"WM_StockTransferDetail-OrderedQty"`//订单数量
OrderType           string        `xorm:"nvarchar(40) 'OrderType' not null" json:"WM_StockTransferDetail-OrderType"`//订单类型
DeliveredQty        float64       `xorm:"float 'DeliveredQty' not null" json:"WM_StockTransferDetail-DeliveredQty"`//发送数量
QtyUom              string        `xorm:"nvarchar(40) 'QtyUom' not null" json:"WM_StockTransferDetail-QtyUom"`//单位
UnitPrice           float64       `xorm:"float 'UnitPrice'" json:"WM_StockTransferDetail-UnitPrice"`//单价
TotalPrice          float64       `xorm:"float 'TotalPrice'" json:"WM_StockTransferDetail-TotalPrice"`//总价
Currency            string        `xorm:"nvarchar(40) 'Currency' not null" json:"WM_StockTransferDetail-Currency"`//货币
InspectToggle       bool          `xorm:"bit 'InspectToggle' not null" json:"WM_StockTransferDetail-InspectToggle"`
InspectPlanId       string        `xorm:"nvarchar(40) 'InspectPlanId' not null" json:"WM_StockTransferDetail-InspectPlanId"`
InspectStatus       string        `xorm:"nvarchar(3) 'InspectStatus' not null" json:"WM_StockTransferDetail-InspectStatus"`
StorageBinId        string        `xorm:"nvarchar(40) 'StorageBinId' not null" json:"WM_StockTransferDetail-StorageBinId"`//库位
StorageAreaId       string        `xorm:"nvarchar(40) 'StorageAreaId' not null" json:"WM_StockTransferDetail-StorageAreaId"`//库区
WarehouseId         string        `xorm:"nvarchar(40) 'WarehouseId' not null" json:"WM_StockTransferDetail-WarehouseId"`//库房
TargetStorageBinId  string        `xorm:"nvarchar(40) 'TargetStorageBinId' not null" json:"WM_StockTransferDetail-TargetStorageBinId"`//目标库位
TargetStorageAreaId string        `xorm:"nvarchar(40) 'TargetStorageAreaId' not null" json:"WM_StockTransferDetail-TargetStorageAreaId"`//目标库区
TargetWarehouseId   string        `xorm:"nvarchar(40) 'TargetWarehouseId' not null" json:"WM_StockTransferDetail-TargetWarehouseId"`//目标库房
STICtrlPara1        int           `xorm:"int 'STICtrlPara1' not null" json:"WM_StockTransferDetail-STICtrlPara1"`
STICtrlPara2        int           `xorm:"int 'STICtrlPara2' not null" json:"WM_StockTransferDetail-STICtrlPara2"`
STICtrlPara3        int           `xorm:"int 'STICtrlPara3' not null" json:"WM_StockTransferDetail-STICtrlPara3"`
STICtrlPara4        int           `xorm:"int 'STICtrlPara4' not null" json:"WM_StockTransferDetail-STICtrlPara4"`
STICtrlPara5        string        `xorm:"nvarchar(255) 'STICtrlPara5'" json:"WM_StockTransferDetail-STICtrlPara5"`
STICtrlPara6        string        `xorm:"nvarchar(255) 'STICtrlPara6'" json:"WM_StockTransferDetail-STICtrlPara6"`
STICtrlPara7        string        `xorm:"nvarchar(255) 'STICtrlPara7'" json:"WM_StockTransferDetail-STICtrlPara7"`
STICtrlPara8        string        `xorm:"nvarchar(255) 'STICtrlPara8'" json:"WM_StockTransferDetail-STICtrlPara8"`
STICtrlPara9        float64       `xorm:"float 'STICtrlPara9'" json:"WM_StockTransferDetail-STICtrlPara9"`
STICtrlPara10       float64       `xorm:"float 'STICtrlPara10'" json:"WM_StockTransferDetail-STICtrlPara10"`
STICtrlPara11       float64       `xorm:"float 'STICtrlPara11'" json:"WM_StockTransferDetail-STICtrlPara11"`
STICtrlPara12       float64       `xorm:"float 'STICtrlPara12'" json:"WM_StockTransferDetail-STICtrlPara12"`
STICtrlPara13       grmi.DateTime `xorm:"datetime 'STICtrlPara13'" json:"WM_StockTransferDetail-STICtrlPara13"`
STICtrlPara14       grmi.DateTime `xorm:"datetime 'STICtrlPara14'" json:"WM_StockTransferDetail-STICtrlPara14"`
STICtrlPara15       grmi.DateTime `xorm:"datetime 'STICtrlPara15'" json:"WM_StockTransferDetail-STICtrlPara15"`
STICtrlPara16       grmi.DateTime `xorm:"datetime 'STICtrlPara16'" json:"WM_StockTransferDetail-STICtrlPara16"`
StorageRackId       string        `xorm:"nvarchar(40) 'StorageRackId' not null" json:"WM_StockTransferDetail-StorageRackId"`
TargetStorageRackId string        `xorm:"nvarchar(40) 'TargetStorageRackId' not null" json:"WM_StockTransferDetail-TargetStorageRackId"`//目标库架
LastModify          grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WM_StockTransferDetail-LastModify"`
LastUser            string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WM_StockTransferDetail-LastUser"`
CreateTime          grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WM_StockTransferDetail-CreateTime"`
}
```
#### 接口：
插入 移库： /admin/wm/stocktransferhead/insertone


